#!/usr/bin/perl

# Copyright INRA

# Sebastien.Carrere@toulouse.inra.fr
# Jerome.Gouzy@toulouse.inra.fr

# This software is a computer program whose purpose is to provide
# a code generator framework for BioMoby web-services.

# This software is governed by the CeCILL license under French law and
# abiding by the rules of distribution of free software.  You can  use,
# modify and/ or redistribute the software under the terms of the CeCILL
# license as circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info".

# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability.

# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or
# data to be ensured and,  more generally, to use and operate it in the
# same conditions as regards security.

# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL license and that you accept its terms.

#$Id: DebugWS.pl 86 2007-10-10 08:05:41Z sletort $

=head1 NAME

	pmb_GetMobyleObject

=head1 SYNOPSIS



=head1 DESCRIPTION

 This script get Mobyle synonym object for a BioMoby one.
    
=head1 AUTHORS

 Sebastien.Carrere@toulouse.inra.fr 
 


=head1 SUBROUTINES

=cut

my $O_PARAM = '';

BEGIN
{
    if (exists $ENV{'LIPMLIB'})
    {
        unshift(@INC, $ENV{'LIPMLIB'});
    }

    my ($dirprg, $nameprg) = $0 =~ /(.+)\/(.+)/;
    if (-d "$dirprg/lib")
    {
        unshift(@INC, "$dirprg/lib");
    }
    if (-d "$dirprg/../lib")
    {
        unshift(@INC, "$dirprg/../lib");
    }
    if (-d "$dirprg/../lib/Appli")
    {
        unshift(@INC, "$dirprg/../lib/Appli");
    }
}

use strict;
use ParamParser;
use BiomobyUtils;
use File::Basename;
use XML::Twig;
use Term::ANSIColor;
use IO::File;
use Cwd 'abs_path';
use OntologyMap;


MAIN:
{

	my $o_param = New ParamParser('GETOPTLONG', ('biomoby_term=s'));

	
	$o_param->AssertDefined('biomoby_term');

# while $biomoby ne 'object'
# {
#	if (defined $biomoby in xml_dictionnary
#		#get mobyle synonym in xml_dictionnary
#		#get class
#		#get superclass
#		#get datatype?format?
#		#last
#	else
#		$biomoby = $biomoby_parent
# }

    my $biomoby_term = $o_param->Get('biomoby_term');

    my $test = OntologyMap::BiomobyToMobyle($biomoby_term);
print ref($test);
}

